Skip to content
Public Resource Links

Create a public resource link

Understanding how to use FeatureOS API to build custom integrations.

Introduction

This endpoint allows you to create a shareable public link for a feedback post. If a matching link already exists for the same post, the existing link is returned instead of creating a duplicate.

POST https://api.featureos.app/api/v3/feature_requests/:feature_request_id/public_resource_links
curl -X POST 'https://api.featureos.app/api/v3/feature_requests/:feature_request_id/public_resource_links' \
  -H 'API-KEY: YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Headers

Parameter Default Description
API-KEY - Generate from organization settings on the admin dashboard.

Path Parameters

Parameter Required Format Description
feature_request_id true Integer The ID of the feedback post to create a public link for.

Sample response